package com.template.services;

import com.template.model.pojo.AlumniCategory;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.pojo.AlumniUser;
import com.template.model.result.PageUtils;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-20
 */
public interface AlumniCategoryService extends IService<AlumniCategory> {
    int insertAlumniCategory(AlumniCategory au);

    int updateAlumniCategory(AlumniCategory au);

    AlumniCategory queryDataById(Integer id);

    AlumniCategory queryDataByName(String name);

    int deleteDataById(Integer id);

    PageUtils<AlumniCategory> queryPageList(int currentPage, int pageCount, String name, Integer userId, String startTime, String endTime);
}
